Robot Simulator of the Robotics Group for Self-Organization of Control: IValue Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# IValue Class Reference

This class is a interface for a value which is part of a gen. More...

`#include <IValue.h>`

Inherits Inspectable.

Inherited by TemplateValue.

Inheritance diagram for IValue:

[legend]
Collaboration diagram for IValue:

[legend]
List of all members.

## Public Member Functions
| IValue (std::string name)
| constructor Needs a string for the name of the value.
virtual | ~IValue ()
| default destructor
virtual IValue * | operator * (const IValue &) const =0
| the mul.
virtual IValue * | operator+ (const IValue &) const =0
| the add operator.
virtual | operator std::string (void) const
| the cast operator for a cast in type string
virtual bool | store (FILE *f) const
| store the value in a file
virtual bool | restore (FILE *f)
| restore the value from a file
## Protected Attributes
std::string | m_name
| the name of this class.

## Detailed Description

This class is a interface for a value which is part of a gen.

Over this concept is it paissible to make the Gen and the GenFactory independent from his saved type.

## Constructor & Destructor Documentation

IValue | ( | std::string | name | ) |

constructor Needs a string for the name of the value.

In the normal way it is the Type of the Value. For example "templateValue".

Parameters:

  | name | (string) the name

~IValue | ( |  | ) | `[virtual]`

default destructor

## Member Function Documentation

virtual IValue* operator * | ( | const IValue & |  | ) | const`[pure virtual]`

the mul.

operator. Dosn't change this class!!!

Parameters:

  | (const | IValue&) the other part of the operation

Returns:
  (IValue*) the result

Implemented in TemplateValue.

operator std::string | ( | void |  | ) | const`[virtual]`

the cast operator for a cast in type string

Returns:
  (string) the value as string

Reimplemented in TemplateValue.

virtual IValue* operator+ | ( | const IValue & |  | ) | const`[pure virtual]`

the add operator.

Dosn't change this class!!!

Parameters:

  | (const | IValue&) the other part of the operation

Returns:
  (IValue*) the result

Implemented in TemplateValue.

bool restore | ( | FILE * | f | ) | `[virtual]`

restore the value from a file

Parameters:

  | f | (FILE*) the file where the value inside

Returns:
  (bool) true if all ok.

Reimplemented in TemplateValue.

bool store | ( | FILE * | f | ) | const`[virtual]`

store the value in a file

Parameters:

  | f | (FILE*) the file to store

Returns:
  (bool) true if all ok.

Reimplemented in TemplateValue.

## Member Data Documentation

std::string m_name`[protected]`

the name of this class.

The documentation for this class was generated from the following files:

- IValue.h
- IValue.cpp